2003-05-29  JP Rosevear  <jpr@ximian.com>

	Fixes #43775
	
	* e-calendar-item.c (layout_set_day_text): calculate the day
	character correctly
	(e_calendar_item_draw_month): use it

	* e-dateedit.c (rebuild_time_popup): use e_utf8_strftime
	(e_date_edit_update_date_entry): ditto
	(e_date_edit_update_time_entry): ditto

	* e-calendar-item.c (layout_set_day_text): calculate the day
	character correctly
	(e_calendar_item_draw_month): use e_utf8_strftime and above
	(e_calendar_item_show_popup_menu): use e_utf8_strftime
	(e_calendar_item_recalc_sizes): use layout_set_day_text

2003-05-19  Anna Marie Dirks  <anna@ximian.com>

	* e-multi-config-dialog.c (init): Added HIG-appropriate spacing/
	padding to the main hbox into which the icons and page widgets 
	are packed.

2003-05-19  Larry Ewing  <lewing@ximian.com>

	* e-charset-picker.c: port to GtkDialog.

2003-05-14  JP Rosevear  <jpr@ximian.com>

	* e-combo-button.c (impl_destroy): guard against multiple destroys

2003-05-13  Ettore Perazzoli  <ettore@ximian.com>

	[#42628]
	* e-search-bar.c (search_now_verb_cb): Call
	emit_search_activated() instead of emit_query_changed().

2003-05-11  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #42177 ]
	* e-dateedit.c (e_date_edit_init): remove the CAN_FOCUS flag.

2003-05-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-combo-button.c (menu_deactivate_callback): Set in_button to
	FALSE; this makes sure the button gets the right appearance after
	the menu is popped down (the reason why this is necessary is that
	the widget doesn't never gets to the leave_notify event).

2003-05-07  JP Rosevear  <jpr@ximian.com>

	* e-search-bar.c (e_search_bar_set_text): trash e_utf8_gtk function
	(e_search_bar_get_text): ditto

2003-04-29  Dan Winship  <danw@ximian.com>

	* e-dateedit.c (e_date_edit_forall): Remove this so that
	GtkContainer's destroy method will destroy all of the internal
	widgets. (This is how other compound-widgets-that-aren't-
	meant-to-be-used-as-containers behave.) #41458

2003-04-16  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (remove_bonobo_menus): Only do the actual remove
	if the ui component actually has a container; this suppresses a
	BonoboUI warning at each folder view switch.

2003-04-15  Hans Petter Jansson  <hpj@ximian.com>

	* e-calendar-item.c (e_calendar_item_update): Unref the metrics.
	(e_calendar_item_draw): Re-use the widget's context instead of
	creating a new one. Unref the metrics.
	(e_calendar_item_draw_month): Unref the metrics. Don't create the
	layout where it might be leaked by an early return. Unref the layout
	before returning if we're outside the clip area.
	(e_calendar_item_draw_day_numbers): Unref the metrics.
	(e_calendar_item_recalc_sizes): Unref the metrics.
	(e_calendar_item_convert_position_to_day): Unref the metrics.

	* e-calendar.c (e_calendar_size_allocate): Unref the metrics.

2003-04-11  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (do_advanced): Change the border width and
	padding to comply with the HIG. Fixes bug #41202.
	(do_advanced): Changed the button ordering from Cancel/Save/OK to
	Save/Cancel/OK to comply with the HIG. Fixes bug #41207.

2003-04-08  Mike Kestner  <mkestner@ximian.com>

	* e-search-bar.c (set_option): kill an old e_utf8_gtk usage
 
2003-04-06  Chris Toshok  <toshok@ximian.com>

	* e-cell-percent.h: e_cell_percent_get_type returns GType, not
	GtkType.
	
	* e-cell-percent.c (e_cell_percent_new): use g_object_new, not
	gtk_object_new.

2003-04-02  Hans Petter Jansson  <hpj@ximian.com>

	* e-calendar-item.c (e_calendar_item_set_selection): For example;
	a selection ending 2003-apr-02 does not fit into the remaining
	shown days after 1969-dec. Stop assuming that it does.
	
2003-04-01  Hans Petter Jansson  <hpj@ximian.com>

	* e-calendar-item.c (e_calendar_item_class_init)
	(e_calendar_item_destroy)
	(e_calendar_item_get_arg)
	(e_calendar_item_set_arg)
	(e_calendar_item_update)
	(e_calendar_item_draw)
	(e_calendar_item_draw_month)
	(e_calendar_item_draw_day_numbers)
	(e_calendar_item_recalc_sizes)
	(e_calendar_item_convert_position_to_day): Nuke GdkFont and use
	Pango's font measuring for everything.

	* e-calendar-item.h: Ditto.

	* e-calendar.c (e_calendar_init)
	(e_calendar_size_allocate): Ditto.

2003-03-30  Hans Petter Jansson  <hpj@ximian.com>

	* e-calendar-item.c (e_calendar_item_destroy): Handle multiple
	destroys.

2003-03-28  JP Rosevear  <jpr@ximian.com>

	* e-search-bar.c (clear_search): set the sub item to the default
	as well

2003-03-25  Dan Winship  <danw@ximian.com>

	* e-calendar.c: #include gtkarrow.h
	* e-combo-button.c: Likewise

	* e-charset-picker.c: Update for e_notice move

2003-03-19  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c: Updated to use GtkDialog instead of
	GnomeDialog. Also fixed bug #39550 while I was at it.

2003-03-10  Rodney Dawes  <dobey@ximian.com>

	* e-calendar.c: Use GtkArrow instead of pixmaps
	* e-combo-button.c: Use GtkArrow instead of pixmaps
	* e-filter-bar.c: gtk_window_set_policy () is deprecated
	* e-url-entry.c: Load the icon in a pixbuf instead of GdkPixmap
	
2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-url-entry.c (destroy): Removed unused variable.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* e-dropdown-button.c (menu_deactivate_cb): Removed debugging
	spew.

2003-02-27  Chris Toshok  <toshok@ximian.com>

	* e-url-entry.c (destroy): guard this so we don't try to free priv
	multiple times.

2003-02-25  Dan Winship  <danw@ximian.com>

	* e-map.c (e_map_destroy): Use
	g_signal_handlers_disconnect_by_func since
	gtk_signal_disconnect_by_data doesn't seem to work right.
	(e_map_set_scroll_adjustments): Likewise.

2003-02-25  Jeffrey Stedfast  <fejj@ximian.com>

	* e-dateedit.c (on_date_popup_date_selected): Same as below.

	* e-cell-date-edit.c (e_cell_date_edit_on_ok_clicked): Also
	updated to use the new GDate API from glib 2.0

	* test-calendar.c (on_selection_changed): Fixed to use glib 2.0's
	GDate API.

	* e-calendar-item.c (e_calendar_item_get_week_number): Port to
	glib 2.0's GDate API.
	(e_calendar_item_set_selection): Same.

	* e-search-bar.c (append_xml_menu_item): Use
	g_string_append_printf instead of g_string_sprintfa since the
	latter is now deprecated.
	(setup_bonobo_menus): Same.

	* e-filter-bar.c (do_advanced): Use gtk_window_set_resizable()

	* e-charset-picker.c: Fixes to make it build cleanly with
	-DG_DISABLE_DEPRECATED
	(add_charset): Escape _'s so we don't get underline weirdness due
	to GtkLabel thinking the _ means to underline the next char.
	(e_charset_picker_bonobo_ui_populate): Same here.

2003-02-20  Dan Winship  <danw@ximian.com>

	* Makefile.am: Make libemiscwidgets and libefilterbar dynamic
	libraries instead of static so they can be portably linked into
	the shlib components

2003-02-05  Dan Winship  <danw@ximian.com>

	* Makefile.am (INCLUDES): Define MAP_DIR in terms of $(imagesdir).
	(widgetsincludedir): Define in terms of $(privincludedir)

2003-02-02  Hans Petter Jansson  <hpj@ximian.com>

	* e-calendar-item.[ch]: Use Pango to draw.
	(e_calendar_item_class_init): Add font_desc and week_number_font_desc
	args.
	(e_calendar_item_get_arg): Ditto.
	(e_calendar_item_set_arg): Ditto.
	(e_calendar_item_draw_month): Use Pango.
	(e_calendar_item_draw_day_numbers): Ditto.

	* e-calendar.c: Use Pango to draw. Specify just the size of the small
	font to use, instead of all aspects of it.
	(e_calendar_init): Produce the small font description and pass it to
	the ECalendarItem.

2003-02-01  Hans Petter Jansson  <hpj@ximian.com>

	* e-dateedit.c (create_children): Don't request combo boxes that are
	0 pixels tall.
	(position_date_popup): Make this work when the button doesn't have
	its own window.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* e-clipped-label.c (e_clipped_label_new): init the layout to
	NULL.

2003-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-title-bar.c (e_title_bar_construct): Make the label bold using
	the new args to e_clipped_label_new().

	* e-clipped-label.c (build_layout): Honor ->font_size and ->layout
	in the newly created PangoLayout.
	(e_clipped_label_new): New args font_weight, font_size.
	(e_clipped_label_size_request): Removed unused variables.
	(e_clipped_label_expose): Likewise.
	(e_clipped_label_expose): Likewise.
	(e_clipped_label_set_text): Likewise.
	(e_clipped_label_recalc_chars_displayed): Likewise.

	* e-clipped-label.h (struct _EClippedLabel): Add font_size, layout
	members.

2003-01-22  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (widgetsincludedir): Version using $(BASE_VERSION).

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c (init): Change dialog from
	OK/Apply/Cancel to Apply/Close/OK to be closer to the HIG.

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (widgetsinclude_HEADERS): Ooops, remove
	e-bonobo-widget.h.
	(libemiscwidgets_a_SOURCES): Likewise, remove e-bonobo-widget.c.

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (EXTRA_DIST): e-util-marshal.list, not
	e-book-marshal.list.
	(widgetsinclude_HEADERS): Add e-bonobo-widget.h.
	(libemiscwidgets_a_SOURCES): Add e-bonobo-widget.c.

2003-01-08  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Images are now in $(datadir)/evolution/images
	instead of $(datadir)/images/evolution.

2002-12-10  Not Zed  <NotZed@Ximian.com>

	* e-multi-config-dialog.c (impl_response): Removed the
	g_assert_not_reached().  If you hit the close button on your
	window it would abort, treat same as close.

2002-12-09  Chris Toshok  <toshok@ximian.com>

	* e-clipped-label.[ch]: rework this to be faster and deal more
	correctly with the ellipsis.

2002-12-03  Not Zed  <NotZed@Ximian.com>

	* e-search-bar.c (impl_dispose): dispose can be run multiple times
	too ... bloody gobject crap.

2002-11-27  Not Zed  <NotZed@Ximian.com>

	* e-charset-picker.c: Add include of gnome-dialog.h

	* *.[ch]: ran fix.sh script over everything.

2002-11-26  Not Zed  <NotZed@Ximian.com>

	* e-combo-button.c (impl_button_press_event): Dont grab_add
	anymore on the button, gtk_button is changed in gtk2 not to do
	this anymore.

2002-11-15  Chris Toshok  <toshok@ximian.com>

	* e-clipped-label.c (build_layout): new function, build pango
	layout for string.
	(e_clipped_label_size_request): pango-ize this, make the size
	requested dependent on the label.
	(e_clipped_label_expose): pango-ize this.
	(e_clipped_label_recalc_chars_displayed): pango-ize this.

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-clipped-label.c (e_clipped_label_finalize): New.
	(e_clipped_label_destroy): Removed.

	* e-title-bar.c (destroy): Removed.
	(impl_finalize): New.
	(class_init): Install GObject::finalize handler instead of
	GtkObject::destroy handler.

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* e-filter-bar.c: Changed to use g_object_*() and g_signal_*()
	functions instead of gtk_object_*() and gtk_signal_*().
	(destroy): Removed.
	(dispose): New.
	(class_init): Install GObject::dispose handler instead of
	GtkObject::destroy handler.

2002-11-11  Chris Toshok  <toshok@ximian.com>

	* e-dateedit.[ch]: port to GObject.

2002-11-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c (init): Use GObject functions instead of
	GtkObject throughout.

2002-11-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c (impl_destroy): Removed.
	(impl_finalize): New.
	(class_init): Override GObject::finalize, not GtkObject::destroy.

	* e-config-page.c (impl_destroy): Removed.
	(impl_finalize): New.
	(class_init): Override GObject::finalize, not GtkObject::destroy.

	* e-multi-config-dialog.c: Converted to a GtkDialog subclass
	[instead of GnomeDialog].

2002-11-07  JP Rosevear  <jpr@ximian.com>

	* e-filter-bar.c: include gnome-dialog.h

2002-11-06  Chris Toshok  <toshok@ximian.com>

	* .cvsignore: ignore the generated marshal source.
	
	* Makefile.am: add marshal stuff.

	* e-util-marshal.list: marshaller list.

	* e-search-bar.[ch]: gobjectify this.
	
2002-11-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-combo-button.c (impl_expose_event): Use
	gtk_container_propagate_expose().

2002-11-01  Ettore Perazzoli  <ettore@ximian.com>

	* test-title-bar.c: #include <libgnomeui/gnome-ui-init.h> instead
	of <libgnomeui/gnome-init.h>.
	(main): Use a GtkLabel, not a GtkText.

	* test-dropdown-button.c: #include <libgnomeui/gnome-ui-init.h>
	instead of <libgnomeui/gnome-init.h>, and
	<libgnomeui/gnome-stock-icons.h> instead of
	<libgnomeui/gnome-stock.h>.

	* test-dateedit.c: #include <libgnomeui/gnome-ui-init.h> instead
	of <libgnomeui/gnome-init.h>.
	(main): Use gnome_program_init().

	* test-calendar.c: #include <libgnomeui/gnome-ui-init.h>.

	* e-url-entry.c (button_clicked_cb): Pass NULL as the error arg to
	gnome_url_show().

	* e-title-bar.c (class_init): GTK2-ified.  Use GTK_TYPE_POINTER
	instead of GTK_TYPE_GDK_EVENT.

	* e-search-bar.c: Removed #include <libgnome/gnome-defs.h>.
	#include <string.h>.
	(class_init): GTK2-ified.
	(e_search_bar_set_menu): Use GTK_OBJECT_GET_CLASS.
	(e_search_bar_set_option): Likewise.

	* e-messagebox.c (e_message_box_class_init): Updated to put
	finalize in GObjectClass intead of GtkObjectClass.
	(e_message_box_finalize): Likewise.
	(e_message_box_construct): Just check if pixmap is NULL, instead
	of pixmap->pixmap.

	* e-messagebox.h: No {BEGIN,END}_GNOME_DECLS.
	(e_message_box_get_type): Fix prototype, should return GtkType
	instead of guint.

	* e-map.c: Removed e_map_signals, which was unused.
	(e_map_finalize): Update for the fact that finalize is now in
	GObjectClass.
	(e_map_class_init): Likewise.  Also GTK2-ify.
	(e_map_draw): Removed.
	(load_map_background): Pass NULL as the gdk_pixbuf_new_from_file()
	error arg.

	* e-dropdown-button.c (menu_position_cb): Added arg push_in.

	* e-dateedit.c (e_date_edit_class_init): GTK2-ified.
	(e_date_edit_show_date_popup): Constify local variable.
	(e_date_edit_check_date_changed): Likewise.
	(e_date_edit_check_time_changed): Likewise.
	(e_date_edit_check_date_changed): Likewise.
	(field_set_to_none): Constify arg text.
	(e_date_edit_parse_date): Constify arg date_text.
	(e_date_edit_parse_time): Constify arg time_text.

	* e-dateedit.h: No {BEGIN,END}_GNOME_DECLS.

	* e-combo-button.c (menu_position_func): New arg push_in.
	(impl_draw): Removed.
	(class_init): GTK2-ified.
	(init): style->xthickness instead of style->klass->xthickness.

	* e-config-page.c (class_init): GTK2-ified.

	* e-clipped-label.c (e_clipped_label_size_request): Use
	gtk_style_get_font().
	(e_clipped_label_recalc_chars_displayed): Likewise.
	(e_clipped_label_expose): Likewise.

	* e-charset-picker.c: No #include <libgnome/gnome-defs.h> or
	<libgnome/gnome-i18n.h> or <libgnome/gnome-stock.h>.  Also no
	<gal/gunicode.h>.  On the other hand, #include <gtk/gtkvbox.h>.
	(e_charset_picker_new): Make locale_charset const.
	(e_charset_picker_bonobo_ui_populate): Make locale_charset const.

	* e-cell-percent.c: #include <stdio.h> for sscanf().

	* e-cell-percent.h: Removed BEGIN_GNOME_DECLS, END_GNOME_DECLS.

	* e-cell-percent.c: Do not #include <libgnomeui/gnome-stock.h>.

	* e-cell-date-edit.c: Do not #include <libgnomeui/gnome-stock.h>.
	Added a bunch of #includes for GTK stuff.
	(e_cell_date_edit_on_ok_clicked): Constified variable.

	* e-calendar-item.c: Do not #include <libgnome/gnome-defs.h>.
	(e_calendar_item_class_init): Use GTK_TYPE_POINTER instead of
	GTK_TYPE_GDK_POINTER.
	(e_calendar_item_class_init): GTK_CLASS_TYPE() instead of
	object_class->type.
	(e_calendar_item_class_init): No gtk_object_class_add_signals().
	(e_calendar_item_update): style->[xy]thickness instead of
	style->klass->[xy]thickness.
	(e_calendar_item_draw): Likewise.
	(e_calendar_item_draw_month): Likewise.
	(e_calendar_item_draw_month): Likewise.
	(e_calendar_item_recalc_sizes): Likewise.
	(e_calendar_item_convert_position_to_day): Likewise.
	(e_calendar_item_update): Use gtk_style_get_font().
	(e_calendar_item_draw_month): Likewise.
	(e_calendar_item_draw_day_numbers): Likewise.
	(e_calendar_item_convert_position_to_day): Likewise.
	(e_calendar_item_recalc_sizes): Likewise.
	(e_calendar_item_signal_emission_idle_cb): Removed check for
	GTK_OBJECT_DESTROY.
	(e_calendar_item_position_menu): Add push_in arg.

	* e-calendar.c (e_calendar_draw): Remove.
	(e_calendar_size_request): style->[xy]thickness instead of
	style->klass->[xy]thickness.
	(e_calendar_size_allocate): Likewise.
	(e_calendar_get_border_size): Likewise.
	(e_calendar_size_allocate): Get font from style with
	gtk_style_get_font().

	* e-calendar-item.h: #include <libgnomecanvas/gnome-canvas.h>
	instead of <libgnomeui/gnome-canvas.h>.
	* e-calendar.c: Likewise for
	<libgnomecanvas/gnome-canvas-widget.h>.

	* Makefile.am: Don't compile e-bonobo-widget.c, e-bonobo-widget.h.
	[Unused right now, so we can avoid porting until, and if, they are
	needed.]

	* e-filter-bar.c: Do not #include <libgnome/gnome-defs.h>.  Do not
	#include <libgnomeui/gnome-stock.h>.  #include <gtk/gtksignal.h>.
	Also remove gal #includes.
	(do_advanced): Add some GTK_SIGNAL_FUNC() casts.
	(menubar_activated): Likewise.
	(menubar_activated): Likewise.

2002-10-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-map.h: Do not #include <libgnome/gnome-defs.h>.

2002-10-28  Jeffrey Stedfast  <fejj@ximian.com>

	* e-search-bar.c (clear_search): Emit a search_activated signal.
	(e_search_bar_set_item_id): Revert to original implementation.

2002-10-23  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (option_changed): If the clear button was
	pressed, we want the entry to be sensitive (not insensitive).

	* e-search-bar.c (e_search_bar_set_item_id): If the item id is
	CLEAR_ID, we want to select the first item (0) but still set the
	esb->item_id to CLEAR_ID.
	(set_find_now_sensitive): Don't bother getting the GtkEntry text,
	we don't even use it?
	(clear_search): Set the item id as E_SEARCHBAR_CLEAR_ID rather
	than 0 so that it can be checked for.

2002-10-23  Ettore Perazzoli  <ettore@ximian.com>

	[#26128, thanks to Federico Mena Quintero <federico@ximian.com>
	for providing this fix.]

	* e-search-bar.c (activate_by_subitems): gtk_widget_grab_focus()
	on the entry when adding it in.

2002-10-11  JP Rosevear  <jpr@ximian.com>

	* e-calendar-item.c (e_calendar_item_ensure_days_visible): check
	if the selection fits in the leftover days

2002-09-30  Ettore Perazzoli  <ettore@ximian.com>

	[Add a small delay to the switching of pages in the multi-config
	dialog.  This makes keyboard navigation slightly nicer, and also
	happens to fix mysterious bug #28931.]

	* e-multi-config-dialog.c: New constant SWITCH_PAGE_INTERVAL.  New
	members set_page_timeout_id and set_page_timeout_page in
	EMultiConfigDialogPrivate.
	(init): Initialize new member variables.
	(table_cursor_change_callback): Set up a timeout instead of
	switching right away.
	(set_page_timeout_callback): Timeout function to switch page after
	a small delay.
	(impl_destroy): Remove a pending timeout.

2002-09-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c (create_page_container): Don't set up
	the description label here.

2002-09-24  Not Zed  <NotZed@Ximian.com>

	* e-search-bar.c (clear_search): Clear search by setting text to
	"" and search to first search.

	* e-filter-bar.c (option_changed): Revert change of 2002-08-29
	below, always do advanced search if we have the advanced id.
	Handle clear elsewhere.
	(menubar_activated): If we get the advanced menu, set the advanced
	option menu, and let that handle it, rather than doing it
	ourselves.  For #31060 & #29625.

2002-09-22  Dan Winship  <danw@ximian.com>

	* e-filter-bar.c: Fix some non-ANSI switch statements.

2002-08-29  Chris Toshok  <toshok@ximian.com>

	* e-search-bar.c (subitem_activated_cb): need to make the find now
	button sensitive when you select something from a submenu.

2002-08-29  Peter Williams  <peterw@ximian.com>

	* e-filter-bar.c (option_changed): If the item is ADVANCED_ID, check
	the query and efb->setquery to see whether we should pop up the advanced
	dialog or clear an advanced search. Fixes #29625.

2002-08-21  Peter Williams  <peterw@ximian.com>

	* e-search-bar.c (clear_search): Don't set the item id; clear search
	isn't in the menu anymore. Fixes #29211.

2002-08-22  JP Rosevear  <jpr@ximian.com>

	* e-dateedit.c (e_date_edit_parse_date): don't adjust for two
	digit dates here, the e_time_parse routines do that now

2002-08-06  Not Zed  <NotZed@Ximian.com>

	* e-filter-bar.c (menubar_activated): Set the query text into the
	filter name when saving it, for #10979.

2002-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-calendar-item.c (e_calendar_item_signal_emission_idle_cb): Add
	missing cast.
	(e_calendar_item_signal_emission_idle_cb): Likewise.

	* e-search-bar.c (init): Don't initialize dropdown_menu here
	anymore since we got rid of it.

	* e-search-bar.h (struct _ESearchBar): Removed member
	dropdown_menu.

2002-07-22  Peter Williams  <peterw@ximian.com>

	* e-filter-bar.c (do_advanced): Break out the code for creating
	the advanced rule editor into a separate function, so that...
	(menubar_activated): ... can also create an Advanced dialog;
	needed when the Search menu's advanced button is used.
	(option_changed): Change this to call the function instead of
	having all the code to itself.

	* e-search-bar.h: Add id's for the FIND_NOW and CLEAR actions
	so that other code (eg, EFilterBar) doesn't get confused by
	an old id being used when the search-activated signal gets
	emitted.

	* e-search-bar.c (clear_search): Set the item_id to CLEAR
	before emitting the signal.
	(search_now_verb_cb): Just make this emit query_changed,
	as the button in the toolbar does.

2002-07-17  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #27854, spurious warnings from ESearchBar.]

	* e-search-bar.c (setup_standard_verbs): Set the <commands> part
	of the XML manually with bonobo_ui_component_set() otherwise the
	verbs don't get added on the other side for us to be able to do
	bonobo_ui_component_set_prop().
	(setup_bonobo_menus): New, menu setup code taken from
	update_bonobo_menus().
	(remove_bonobo_menus): New; removes the Bonobo menus.
	(update_bonobo_menus): Rewritten, just call remove_bonobo_menus()
	first and setup_bonobo_menus() then.
	(e_search_bar_set_ui_component): Call setup_bonobo_menus() and
	remove_bonobo_menus() as appropriate instead of just
	update_bonobo_menus().

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (update_sensitivity): Removed.
	(set_find_now_sensitive): New.
	(entry_changed_cb): Always make the "Find Now" button and menu
	item sensitive here.
	(emit_search_activated): ...And here, always insensitive.
	(setup_standard_verbs): Always start up insensitive.
	(activate_button_clicked_cb): Make the entry grab the focus.
	(clear_button_clicked_cb): Likewise.

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (subitem_activated_cb): Don't emit
	"search_activated" here.
	(e_search_bar_set_subitem_id): And not here either.
	(e_search_bar_set_text): Same.

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #7736.]

	* e-search-bar.c (activate_by_subitems): Don't set the entry to be
	an empty string here.

2002-06-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-filter-bar.c (build_items): Put the numbers in front of the
	rules only if type is zero [i.e. not in the option menu].

2002-05-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-filter-bar.c (dup_item_no_subitems): New helper function.
	(build_items): g_strdup() the text for all the items.  Prepend the
	user-defined items with an order number.
	(free_built_items): New function to free the array returned by
	build_items, freeing the text strings too [since now they are
	newly allocated instead of just pointing to the exiting ones].
	(generate_menu): Call free_built_items() on the built items
	instead of just g_array_free().
	(set_option): Likewise.

2002-05-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (update_bonobo_menus): Put the stuff in
	/menu/Searchplaceholder/Search instead of /menu/Search.

	* e-combo-button.c (impl_draw): New, overrides GtkWidget::draw.
	(impl_expose_event): New, overrides GtkWidget::expose_event.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-filter-bar.c (build_items): Prepend the advanced menu with a
	separator.

	* e-filter-bar.h: Add E_FILTERBAR_SEPARATOR.  Rename the "Advanced
	Search..." menu item into "Advanced...".

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (activate_by_subitems): Strip underscores from
	the menu item labels.

2002-04-26  Christopher James Lahey  <clahey@ximian.com>

	* e-multi-config-dialog.c (fill_in_pixbufs): Don't print out the
	colors here unless debugging is turned on.

2002-04-22  Christopher James Lahey  <clahey@ximian.com>

	* e-multi-config-dialog.c (e_multi_config_dialog_add_page):
	Updated this to match the changed function name in gal.

2002-04-09  Dan Winship  <danw@ximian.com>

	* e-search-bar.c (e_search_bar_construct, add_button): Oops. The
	previous change made the search bar widgets get packed in the
	wrong order. So use gtk_box_pack_end instead in add_button and add
	the two buttons in reverse order. It's all good now. Noticed by
	Ettore, who I then promptly blamed for it. Sorry Ettore!

2002-04-08  Dan Winship  <danw@ximian.com>

	* e-search-bar.c (e_search_bar_construct): Construct the buttons
	earlier so that the option-menu-setup code that tries to adjust
	the button sensitivity won't fail and g_warn.

2002-04-06  JP Rosevear  <jpr@ximian.com>

	* e-multi-config-dialog.c (e_multi_config_dialog_show_page): show
	a specific page number

	* e-multi-config-dialog.h: new proto

2002-03-29  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c: Change the ETable specs so it doesn't
	sort.

2002-03-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (update_bonobo_menus): Add accelerators for "Find
	Now" and "Clear".

	* e-filter-bar.h: Change search labels as suggested in Anna's
	redesign [#16246].

2002-03-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (update_bonobo_menus): Remove all the SearchBar
	items before setting them up again.
	(free_menu_items): New.
	(impl_destroy): Call it.
	(set_menu): Call it here too before adding the new items.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (verb_name_from_id): New.
	(e_search_bar_set_menu_sensitive): Rewritten using it.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (update_bonobo_menus): No accelerator for
	"FindNow".
	(add_button): Add a one-pixel padding to the button.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (update_bonobo_menus): Rename the "Search Now"
	menu entry to "Find Now".  Rename the corresponding verb to
	"ESearchBar:FindNow".
	(update_sensitivity): Updated accordingly.
	(setup_standard_verbs): Likewise.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (update_sensitivity): New halper function to
	update the sensitivity of the commands.
	(entry_changed_cb): New callback to make the activate_button and
	the "Find Now" verb sensitive only if the entry has some contents.
	(activate_by_subitems): Connect the callback here.
	(setup_standard_verbs): Call update_sensitivity() here.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (init): Init clear_button to NULL.
	(add_button): New helper function to add a button to the search
	bar with the right spacing etc.
	(clear_search): New helper function.
	(add_activate_button): Removed.
	(clear_button_clicked_cb): New.
	(e_search_bar_construct): Just add the button here using
	`add_button'.  Also add a clear_button.
	(clear_verb_cb): Rewritten by means of `clear_search()'.

	* e-search-bar.h (ESearchBar): Add clear_button.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (search_now_verb_cb): New, implementation for a
	new "SearchNow" verb.
	(setup_standard_verbs): Create verb here.
	(update_bonobo_menus): Add SearchNow menu item.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (clear_verb_cb): New.
	(setup_standard_verbs): New.
	(e_search_bar_set_ui_component): Call it if a new
	BonoboUIComponent is set.
	(append_xml_menu_item): New helper function.
	(update_bonobo_menus): Use it.  Also add a "Clear" menu item.
	(e_search_bar_construct): @menu_items can be NULL now.
	(e_search_bar_new): Same here.
	(set_menu): Work with NULL items.

	* e-filter-bar.c (menubar_activated): Don't handle
	E_FILTERBAR_RESET_ID anymore.

	* e-filter-bar.h: Remove `E_FILTERBAR_RESET_ID' and `E_FILTERBAR_RESET'.

2002-03-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (init): Init various members to NULL.
	(set_dropdown): Removed.
	(add_dropdown): Removed.
	(set_menu): New.
	(add_menu_items): New.
	(set_option): No need to setup the dropdown size here anymore.
	(verb_cb): Function implementing the search menu verbs.
	(update_bonobo_menus): New.
	(e_search_bar_set_ui_component): New.

	* e-search-bar.h: Remove the dropdown button stuff from struct
	ESearchBar.  Add `uic' and `items' members.

	* e-filter-bar.c (e_filter_bar_new): Get a @uic arg.

2002-03-15  Christopher James Lahey  <clahey@ximian.com>

	* e-multi-config-dialog.c (init): Set horizontal scroll policy to
	GTK_POLICY_NEVER here.  Don't set usize here.  Changed RGBA_COLOR
	to RGB_COLOR.  Turned on horizontal resize.

2002-03-13  Jeffrey Stedfast  <fejj@ximian.com>

	* e-charset-picker.c (add_charset): If the charset item doesn't
	have a class (aka "Unknown"), don't write a class name, instead
	just give the charset name as the menu item label. Fixes bug
	#14753.

2002-03-13  Christopher James Lahey  <clahey@ximian.com>

	* e-multi-config-dialog.c: Added alpha blending here.

2002-03-12  Christopher James Lahey  <clahey@ximian.com>

	* e-multi-config-dialog.c: Removed Page struct.
	(e_multi_config_dialog_add_page): Select the initial row after
	appending to the model.

2002-03-12  Christopher James Lahey  <clahey@ximian.com>

	* e-multi-config-dialog.c (init): Use Use e_table_memory_store
	instead of e_table_memory_callbacks.  Use e_cell_vbox to include a
	pixbuf cell and a text cell.

2002-03-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c (init): Use GNOME_STOCK_BUTTON_CLOSE,
	not GNOME_STOCK_BUTTON_CANCEL.
	(do_close): Renamed from `cancel'.
	(do_apply): Renamed from `apply'.
	(do_ok): Renamed from `ok'.

2002-03-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c: Rename Page.widget -> Page.page_widget;
	it is now an EConfigPage instead of just a GtkWidget.  Add
	`num_unapplied' to EMultiConfigDialogPrivate.  Derive from
	GnomeDialog, not GtkWindow.
	(update_buttons): New function to update the sensitiveness of the
	buttons according to whether all the settings have been applied or
	not.
	(page_new): Likewise.
	(create_page_container): Renamed from `create_page_widget'.
	(init): Add Apply/OK/Cancel buttons to the dialog.  Init
	->num_unapplied to zero.
	(page_changed_callback): New, callback for the page's "changed"
	signal.
	(e_multi_config_dialog_add_page): Connect the callback, update
	->num_unapplied, update the buttons by calling `update_buttons'.
	(ok): New function for handling the OK button.
	(apply): New function for handling the Apply button.
	(cancel): New function for handling the Cancel button.
	(impl_clicked): Implementation for the GnomeDialog's ::clicked
	signal.
	(class_init): Install.

	* test-multi-config-dialog.c (add_pages): Update to use
	EConfigPages instead of plain GtkWidgets.

	* e-multi-config-dialog.c, e-multi-config-dialog.h: Derive from
	GnomeDialog, not GtkWindow.

	* e-config-page.c: New.
	* e-config-page.h: New.

2002-03-07  Ettore Perazzoli  <ettore@ximian.com>

	* e-multi-config-dialog.c: Don't display a header in the table on
	the left.

2002-03-05  Ettore Perazzoli  <ettore@ximian.com>

	* test-multi-config-dialog.c: New.
	* test-multi-config-dialog.h: New.

	* e-multi-config-dialog.c: New.
	* e-multi-config-dialog.h: New.

2002-02-24  Chris Toshok  <toshok@ximian.com>

	* e-filter-bar.c (init): preserve behavior - hook search_activated
	signal to the same function as query_changed.

	* e-search-bar.c (emit_search_activated): new function.
	(entry_activated_cb): use emit_search_activated instead of
	emit_query_changed.
	(subitem_activated_cb): same.
	(activate_button_clicked_cb): same.
	(class_init): add the search_activated signal.
	(idle_activate_hack): rename idle_change_hack to this, and
	emit_search_activated.
	(e_search_bar_construct): idle_change_hack -> idle_activate_hack.
	(e_search_bar_set_subitem_id): emit_search_activated instead of
	emit_query_changed.
	(e_search_bar_set_text): same.

	* e-search-bar.h (struct _ESearchBarClass): add a search_activated
	signal.

2002-02-21  Ettore Perazzoli  <ettore@ximian.com>

	* e-combo-button.c (set_icon): gtk_widget_show() the icon_pixmap
	if the specified icon is not NULL.

2002-02-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-combo-button.c (set_icon): Work with a NULL @pixbuf as well
	[in that case, just hide the current icon widget].
	(e_combo_button_set_icon): Remove the precondition about @pixbuf
	being non-NULL.

2002-02-08  JP Rosevear  <jpr@ximian.com>

	* e-url-button.[hc]: remove briefly used files

2002-02-08  JP Rosevear  <jpr@ximian.com>
	
	* e-url-entry.[hc]: button/entry combo that launchs the gnome url
	handler on the entry text when the button is clicked

	* Makefile.am: build new files
	
2002-02-08  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: build new files

	* e-url-button.[hc]: button widget that when clicked slurps the
	url of an entry and launchs the gnome url handler on the text

2002-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Use GNOME_FULL_CFLAGS and GNOME_FULL_LIBS.

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-combo-button.c: Remove member `separator' from
	`EComboButtonPrivate'.  New members `icon', `label'.
	(init): There shall be no separator no more.  Init `icon' and
	`label' to %NULL.
	(e_combo_button_construct): Set no relief.
	(e_combo_button_new): Don't get a @menu arg anymore.
	(e_combo_button_construct): Likewise.
	(e_combo_button_set_icon): New.
	(e_combo_button_set_label): New.
	(e_combo_button_set_menu): New.
	(impl_clicked): New, overriding the "clicked" method for
	GtkButton.
	(class_init): Install.
	(impl_button_release_event): Removed.
	(class_init): No need to override ::release_event with this
	anymore.
	(impl_released): New, override for the GtkButton::released method.
	(class_init): Install.

2002-01-04  Jeffrey Stedfast  <fejj@ximian.com>

	* e-charset-picker.c: Added iso-8859-8 (Hebrew; Visual) to the
	list of charsets in the menu. Fixes bug #15655.

2001-12-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-combo-button.c: New.
	* e-combo-button.h: New.

2001-11-21  Not Zed  <NotZed@Ximian.com>

	* e-filter-bar.c (menubar_activated): Mark the dialogue as already
	up so we dont allow multiple dialogues up.  Behaviour fix part of
	#15745.

2001-11-28  Damon Chaplin  <damon@ximian.com>

	* e-map.c: updated to new version from Ximian Setup Tools.
	Fixes bug #7641.

2001-11-27  Damon Chaplin  <damon@ximian.com>

	* e-dateedit.c (e_date_edit_get_date): if allow_no_date_set is FALSE,
	return the last valid date entered, even if the field is currently
	empty. Fixes bug #15749.

2001-11-05  JP Rosevear  <jpr@ximian.com>

	* e-dateedit.c (e_date_edit_set_date_and_time_of_day): set both
	the date and the time of day in one call, creating only a single
	changed signal

	* e-dateedit.h: add proto

2001-11-05  Christopher James Lahey  <clahey@ximian.com>

Based on a patch by Damon Chaplin <damon@ximian.com>

	* e-cell-date-edit.c: Connect to the button_press signal on the
	popup and do the grab correctly so that this dialog behaves
	properly when the user clicks it away.  Also, changed all
	instances of setting of popup_shown field of ECellPopup to call
	e_cell_popup_set_shown.  Fixes Ximian bug #14016.

2001-10-31    <NotZed@Ximian.com>

	* e-filter-bar.c (build_items): Snotty code so we only disconnect
	to rules we no longer have, etc.

2001-11-01  Not Zed  <NotZed@Ximian.com>

	* e-filter-bar.c (build_items): Ref and connect to rule changed
	here, also clear out previous ref's.
	(generate_menu): No longer connect to rules, or reset rule array.
	(set_option): Dont reset option rules array.
	(context_rule_removed): Disconnect changed event on rule.
	(clear_rules): Fujnction to clear rules from an array.
	(destroy): Disconnect from context signals, and clear rules arrays.

	* e-filter-bar.h: Remove hash table for change id's.

2001-10-30  Damon Chaplin  <damon@ximian.com>

	* e-dateedit.c (e_date_edit_set_time_of_day): emit signal when time
	set to none/empty.

2001-10-30    <NotZed@Ximian.com>

	* e-filter-bar.c (generate_menu): Hook to rule changed events.
	(destroy): Free change id table/unconnect to signals.
	(init): Setup change id table.
	(e_filter_bar_new): Hook onto rule removed signal.
	(context_rule_removed): If rule removed, disconnect from signal handler.
	(rule_changed): For changed rules, also rebuild menu.  Fixed #12233.

2001-10-30  Damon Chaplin  <damon@ximian.com>

	* e-cell-date-edit.c (e_cell_date_edit_set_popup_values): try to parse
	just a date first, and if that works we assume it is a DATE value,
	so we clear the time field in the popup.
	(e_cell_date_edit_on_ok_clicked): if the time field is empty, use a
	DATE value.
	Also removed some debug messages.

2001-10-30    <NotZed@Ximian.com>

	* e-filter-bar.c (set_option): Set the item to the option_base on
	it, so the current item is set.  Fix for #7081.

2001-10-30  Christopher James Lahey  <clahey@ximian.com>

	* e-cell-date-edit.c (e_cell_date_edit_get_popup_pos): Adapt to
	the new ECellPopup signature.

2001-10-29  Damon Chaplin  <damon@ximian.com>

	* e-calendar-item.c (e_calendar_item_signal_emission_idle_cb): ref
	the ECalendarItem and check if it gets destroyed, to try to avoid a
	free memory write.

	* e-dateedit.c (e_date_edit_set_time_of_day): allow setting the time
	to empty by passing hour as -1.

2001-10-23  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (rule_editor_clicked): Don't add the menu item
	here, do this in the context_changed signal callback instead.
	(context_changed): rebuild the search menu.
	(set_menu): Copy the items into a default_items list so we can
	regenerate the menu when something changes. Then call
	generate_menu().
	(generate_menu): Do what set_menu() used to do.
	(e_filter_bar_new): Don't do a rule_context_load() anymore since
	we don't need to.
	(destroy): free the default_items list.

2001-10-23  Damon Chaplin  <damon@ximian.com>

	* e-search-bar.c (copy_subitems): copy the translate field over as
	well. Should fix an uninitialized memory read.

2001-10-23  Damon Chaplin  <damon@ximian.com>

	* e-dateedit.c (e_date_edit_check_date_changed):
	(e_date_edit_check_time_changed): clear the struct tm fields to keep
	purify happy.

2001-10-22  Damon Chaplin  <damon@ximian.com>

	* e-cell-date-edit.c (e_cell_date_edit_set_popup_values): 
	(e_cell_date_edit_update_cell): use the new ECellText methods to get
	the text and set the value.

	* e-cell-percent.c: new subclass of ECellText to display & edit a
	percentage value.

2001-10-20  Jon Trowbridge  <trow@ximian.com>

	* e-dateedit.c (e_date_edit_check_date_changed): Keep us from
	reading tmp_tm uninitialized, so purify won't complain.

2001-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* e-charset-picker.c (e_charset_picker_bonobo_ui_populate): Now
	takes a menu path argument.

2001-10-04  Rodrigo Moya <rodrigo@ximian.com>

	* Makefile.am: added BONOBO_GNOME_CFLAGS to make it compile with
	latest Bonobo

2001-10-04  Christopher James Lahey  <clahey@ximian.com>

	* e-cell-date-edit.c (e_cell_date_edit_get_popup_pos): Call
	gnome_canvas_world_to_window here.  Finishes fixing Ximian bug
	#2613.

2001-09-18  Damon Chaplin  <damon@ximian.com>

	* e-dateedit.c (e_date_edit_grab_focus): grab focus to the date entry
	or the time entry, depending on which is visible. Fixes bug #7237.

2001-09-16  Chris Toshok  <toshok@ximian.com>

	* e-dateedit.h: add prototype for e_date_edit_set_editable.

	* e-dateedit.c (e_date_edit_set_editable): new function, analogous
	to gtk_entry_set_editable: let's the user select but not edit (or
	in this case, bring up the calendar view.)

2001-09-13  Jeffrey Stedfast  <fejj@ximian.com>

	* e-search-bar.c (set_dropdown): Don't unref the old dropdown, we
	don't "own" it.

2001-09-13  Larry Ewing  <lewing@ximian.com>

	* e-search-bar.c (set_dropdown): unref the old dropdown_menu if
	there is one.

2001-09-12  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (menubar_activated): No longer need the context
	in order to clone a FilterRule.
	(option_changed): Same.

2001-09-06  Anna Marie Dirks  <anna@ximian.com>

	* e-filter-bar.c: added a default size for the saved search
	dialog of 600 x 300 such that it opens at a usable size. 
	this fixes bug #7083.

2001-09-05  Anna Marie Dirks  <anna@ximian.com>

	* e-search-bar.c (add_activate_button): added a wee bit of 
	padding around the find now label in response to bug #7049.

2001-08-23  Federico Mena Quintero  <federico@ximian.com>

	* e-search-bar.c (e_search_bar_set_ids): New function to set the
	item_id and the subitem_id simultaneously.

2001-08-16  Damon Chaplin  <damon@ximian.com>

	* e-dateedit.c: added e_date_edit_get/set_make_time_insensitive()
	which makes the time field insensitive rather than hiding it.
	I'm not sure we're going to actually use this now, though.

2001-08-16  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (activate_by_subitems): Set the horizontal usize
	of the entry to 4.

2001-08-16  Jon Trowbridge  <trow@ximian.com>

	* e-filter-bar.c (option_changed): Adjusted for renamed ESearchBar
	functions.
	(menubar_activated): Adjusted for renamed ESearchBar functions.

	* e-search-bar.c: Renames some of the horrible function names:
	s/option_choice/item_id/, s/suboption_choice/subitem_id/.

2001-08-14  Federico Mena Quintero  <federico@ximian.com>

	* e-cell-date-edit.c (e_cell_date_edit_destroy): Destroy, do not
	unref, the popup_window.

2001-08-14  Federico Mena Quintero  <federico@ximian.com>

	* e-search-bar.c (activate_by_subitems): Correctness fixes for
	when the entry and submenu must be interchanged.

2001-08-14  Federico Mena Quintero  <federico@ximian.com>

	*Please* add accessor functions instead of just object arguments!

	* e-search-bar.c (e_search_bar_set_option_choice): New function.
	(e_search_bar_set_suboption_choice): New function.
	(e_search_bar_set_text): New function.
	(impl_set_arg): Use the functions above instead of setting things
	directly.
	(add_dropdown): If the item is a separator, set it as insensitive.
	(activate_by_subitems): Handle the translate field in the subitem
	structure.  Also, allow the creation of separators by having NULL
	text strings in the subitems.
	(set_option): If the item is a separator, set it as insensitive.
	(set_option): Do not use the subitem_garbage hack.  Do proper
	memory management instead.
	(e_search_bar_set_suboption): New function to change the suboption
	items in a search bar.

	* e-search-bar.h (ESearchBarSubitem): Added a `translate' field.
	This API sucks so much it is not funny.
	(ESearchBar): Removed the subitem_garbage hack.  Please do proper
	memory management.

2001-08-14  Jon Trowbridge  <trow@ximian.com>

	* e-search-bar.c (activate_by_subitems): Oops... initial
	suboption_choice should be subitems[0].id, not 0.

2001-08-10  Jeffrey Stedfast  <fejj@ximian.com>

	* e-search-bar.c (impl_destroy): Oops, we didn't need to unref all
	of the widgets, just a few.

2001-08-10  Jon Trowbridge  <trow@ximian.com>

	* e-filter-bar.h: Set the subitems to NULL in the pre-defined
	ESearchBarItems.

	* e-filter-bar.c (rule_editor_clicked): Set the ESearchBarItem's
	subitems to NULL.
	(build_items): Set the ESearchBarItem's subitems to NULL.
	(e_filter_bar_new): Set the ESearchBarItem's subitems to NULL.

	* e-search-bar.c: Added support for subitems, so that a search
	option can key off of another option menu rather than just an
	entry.

2001-08-10  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (destroy): Free all the goodies that we allocate
	at construct time and unref the rule context.
	(class_init): Override the destroy method.

2001-08-09  Anna Marie Dirks <anna@ximian.com>

	Fixes bug #6918
	
	* e-filter-bar.h: Changed the "Save As.." menu item to 
	"Add to Saved Searches".

2001-08-09  Anna Marie Dirks <anna@ximian.com> 
	* e-filter-bar.h : changed the E_FILTERBAR_RESET label from
	"Show All" to "Clear" to alleviate confusion about whether
	"Show All" means that hidden messages are also shown or not.
	(See ximian bug #6743) 	

2001-08-09  Federico Mena Quintero  <federico@ximian.com>

	* e-calendar-item.c (e_calendar_item_destroy): Chain to the
	destroy handler in the parent class!

	* e-clipped-label.c (e_clipped_label_destroy): Likewise.  Sigh.

	* e-dropdown-button.c (impl_destroy): Likewise.  Double sigh.

2001-08-08  Anna Marie Dirks <anna@ximian.com> 

	* e-search-bar.c: Re-labeled the "Activate" button "Find Now".

2001-08-08  Ettore Perazzoli  <ettore@ximian.com>

	* e-bonobo-widget.c: New.
	* e-bonobo-widget.h: New.

2001-08-05  Ettore Perazzoli  <ettore@ximian.com>

	[Added an "Activate" button to the search bar.]

	* e-search-bar.c (submit_button_clicked_cb): Callback for the
	"clicked" signal on the activate button.
	(add_submit): New function to add a "Activate" button on the right
	of the entry.
	(e_search_bar_construct): Call it.
	(add_spacer): Removed.
	(e_search_bar_construct): Don't call it.
	(find_id): Remove debugging message.
	(put_in_spacer_widget): New utility function to create a
	GtkEventBox with a border width of one and put a widget into it.

2001-08-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-title-bar.c: Make the close icon as large as the pin icon so
	the bar doesn't change size when it switches between them.
	(e_title_bar_construct): Add some horizontal padding to the label
	to make it look nicer.

2001-08-03  Federico Mena Quintero  <federico@ximian.com>

	* e-calendar-item.c (e_calendar_item_mark_day): Request an update.
	(e_calendar_item_mark_days): Likewise.

2001-07-24  Damon Chaplin  <damon@ximian.com>

	* e-calendar-item.c (e_calendar_item_show_popup_menu): don't show the
	year in the popup submenu for the months, and center the months.
	Fixes

2001-07-18  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (rule_editor_destroyed): When the dialog gets
	closed, always make sure the entry widget becomes sensitive again.
	(menubar_activated): Don't use FILTER_SOURCE_INCOMING because
	that's not what we want, we want (I think) NULL (at least with
	NULL, bug #4490 goes away).

2001-07-16  Federico Mena Quintero  <federico@ximian.com>

	Fixes bug #2901.

	* e-dateedit.c (e_date_edit_parse_date): Use e_time_parse_date().
	(e_date_edit_parse_time): Use e_time_parse_time().

2001-07-17  jacob berkman  <jacob@ximian.com>

	* e-search-bar.c (set_dropdown): don't unset _CAN_FOCUS

	* e-dropdown-button.c (menu_deactivate_cb): un-toggle ourself
	(impl_toggled): override the toggled rather than clicked signal.
	if we are active, popup the menu; else, popdown

	these fix ximian #2016

2001-07-02  Damon Chaplin  <damon@ximian.com>

	* e-calendar-item.c: 
	* e-cell-date-edit.c: 
	* e-dateedit.c: added functions to set a callback to get the current
	time, which is used instead of localtime(). We need this as we have to
	use our own timezones.

2001-07-02  Jeffrey Stedfast  <fejj@ximian.com>

	* e-charset-picker.c (e_charset_picker_bonobo_ui_populate): Take a
	callback function and user_data so that we can add listeners to
	each of the menu items.

2001-07-02  Jeffrey Stedfast  <fejj@ximian.com>

	* Makefile.am: Updated to build e-charset-picker.c

	* e-charset-picker.[c,h]: Moved here from gal.
	(e_charset_picker_bonobo_ui_populate): New function to populate a
	bonobo-ui with a charset picker menu.

2001-06-14  Damon Chaplin  <damon@ximian.com>

	* e-map.[hc]: copied the EMap widget verbatim from Ximian Setup Tools.
	Hmm. Maybe it should go in gal, but its not a very general widget.
	
	* Makefile.am (INCLUDES): defined MAP_DIR for e-map.c.
	(libemiscwidgets_a_SOURCES): added e-map.[hc].

2001-05-31  Federico Mena Quintero  <federico@ximian.com>

	* e-dropdown-button.c (impl_button_press_event): Removed unused
	variable.

	* e-cell-date-edit.c (e_cell_date_edit_rebuild_time_list): Removed
	unused variable.

2001-05-07  Gediminas Paulauskas <menesis@delfi.lt>

	* misc/e-filter-bar.h: xgettext does not find N_() in #defines. So
	created fake enum. Also removed spaces before "..."

2001-04-24  Kjartan Maraas  <kmaraas@gnome.org>

	* e-calendar-item.c, e-calendar.c, e-cell-date-edit.c,
	e-clipped-label.c, e-dateedit.c, e-dropdown-button: 
	Added #include <glib.h> and moved corresponding local headers 
	to the top.
	
2001-04-15  Federico Mena Quintero  <federico@ximian.com>

	* e-search-bar.c (e_search_bar_get_option_choice): New function,
	because it is ridiculous to have to hunt down object arguments to
	fetch values.
	(e_search_bar_get_text): Likewise.
	(impl_get_arg): Use the functions above so that we have to
	maintain only one version of the getters.

2001-04-04  Kjartan Maraas  <kmaraas@gnome.org>

	* e-calendar.c: More header fixes.
	* e-cell-date-edit.c: Same.
	* e-dateedit.[ch]: Same.
	* e-title-bar.c: Same here.
	* e-search-bar.c: More header fixes.
	* test-calendar.c: Same here.
	
2001-03-29  Kjartan Maraas  <kmaraas@gnome.org>

	* e-dropdown-button.c: Replace #include <gtk/gtk.h>
	* e-dropdown-button.h: Remove #include <gnome.h>
	* e-filter-bar.c: Replace #include <gtk/gtk.h>
	* e-filter-bar.h: Replace #include <gtk/gtk.h>
	* e-messagebox.c: Add #includes to count for removed <gnome.h> in
	e-messagebox.h:
	* e-messagebox.h: Replace #include <gnome.h>
	* e-search-bar.c: Replace #include <gnome.h>
	* e-search-bar.h: Same here
	* test-calendar.c: Remove #include <gnome.h>
	* test-dateedit.c: Replace #include <gnome.h>
	* test-dropdown-button.c: Same here.
	* test-title-bar.c: Same here.

2001-03-22  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (rule_editor_clicked): Validate the filter rule.

2001-03-18  Damon Chaplin  <damon@ximian.com>

	* e-cell-date-edit.c (e_cell_date_edit_show_time_invalid_warning): 
	use gnome_dialog_run() to make the warning dialog modal. Also created
	a better warning message showing the format expected.
	Also used e_time_format_time() to format all times.

2001-03-15  Not Zed  <NotZed@Ximian.com>

	* e-filter-bar.c (menubar_activated): If we click on the edit
	menu, then bring up a rule editor.  If the user adds/removes rules
	though, they are neither saved, nor added to the menu's. sigh.

2001-03-04  Damon Chaplin  <damon@ximian.com>

	* e-cell-date-edit.c: pretty much working now.

2001-03-01  Not Zed  <NotZed@Ximian.com>

	* e-filter-bar.c: New type of search bar that interacts with
	filter contexts to save filters etc.  Still probably needs a
	little cleanpu.

2001-02-28  Not Zed  <NotZed@Ximian.com>

	* e-search-bar.c (add_dropdown): Save the dropdown menu in the
	struct too.  Sigh, this is only so we can scan its content later,
	ick.
	(e_search_bar_set_menu_sensitive): New function to se tthe
	sentisitivty of menyu items based on id.
	(find_id): New function to find the row and widget for a specific
	id.
	(add_option): Renamed to set_option.
	(add_dropdown): Renamed to set_dropdown.
	(add_dropdown): ?New function to add a single item.
	(set_dropdown): Call add_dropdown to add each item.
	(e_search_bar_add_menu): New public function to add a single item.

2001-02-27  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (libemiscwidgets_a_SOURCES): Added filter-bar.[ch].

	* e-search-bar.c (class_init): Init virtual functions.
	(e_search_bar_set_option):
	(e_search_bar_set_menu): virtualise calling.
	(e_search_bar_construct): Call virtual functions to setup menus.

	* e-search-bar.h (struct _ESearchBarClass): Virtualise
	add_dropdown/add_option, so certain base options can be created.

2001-02-25  Damon Chaplin  <damon@ximian.com>

	* e-cell-date-edit.[hc]: new files to implement an ECell for showing
	and editing dates & times. (Unfinished)

	* Makefile.am (libemiscwidgets_a_SOURCES): added e-cell-date-edit.[hc]

2001-02-24  Not Zed  <NotZed@Ximian.com>

	* e-search-bar.c (add_dropdown): Move the event box into the
	esb->dropdown_holder.  Changed so it can be called again on the
	same esb, to rebuild the menu.
	(e_search_bar_set_menu): New function to (re)set the menu.
	(add_option): Setup so it can be re-called to rebuild the option
	list.
	(e_search_bar_set_option): New function to build the menu's.

2001-02-05  Jeffrey Stedfast  <fejj@ximian.com>

	* .cvsignore: Ignore test-dropdown-button

2001-01-28  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (add_spacer): Make the spacer 4 pixels wider.
	(add_dropdown): Put the dropdown button into an event box with a
	1-pixel border, so that we match the [Hardcoded! Stupid GTK+!]
	border around the option menu.

2001-01-28  Ettore Perazzoli  <ettore@ximian.com>

	* e-dropdown-button.c (menu_deactivate_cb): New function to change
	the state of the toggle button when the pop-up menu disappears.
	(impl_clicked): Removed.
	(impl_button_press_event): New, implementation for
	`::button_press_event'.  Pop-up the menu, and toggle the button.
	(class_init): Override `::button_press_event' with
	`impl_button_press_event'; don't override `::clicked' anymore.

	* e-dropdown-button.h, e-dropdown-button.c: Derive from
	`GtkToggleButton', instead of plain `GtkButton'.

2001-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (add_dropdown): Make the dropdown button
	non-focusable.

2001-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (e_search_bar_init): Don't create the widgets
	here.
	(e_search_bar_construct): New.  Do it here instead.
	(e_search_bar_new): Call it.  Added preconditions.
	(esb_pack_menubar): Removed.
	(add_dropdown): New.
	(add_option): New.
	(add_entry): New.
	(e_search_bar_construct): Use `add_dropdown()', `add_option()',
	`add_entry()'.
	(class_init): Renamed from `e_seearch_bar_class_init'.
	(init): Renamed from `e_search_bar_init'.
	(impl_destroy): Renamed from `e_search_bar_destroy'.
	(emit_menu_activated): Renamed from `esb_menu_activated'.
	(emit_query_changed): Renamed from `esb_query_changed'.
	(menubar_activated_cb): Renamed from `esb_menubar_activated'.
	(option_activated_cb): Renamed from `esb_option_activated'.
	(esb_entry_activated): Renamed from `esb_entry_activated'.
	(impl_set_arg): Renamed from `e_search_bar_set_arg'.
	(impl_get_arg): Renamed from `e_search_bar_get_arg'.

	* e-search-bar.h (struct _ESearchBar): Removed member `menubar';
	replaced it with `dropdown'.

2001-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-dropdown-button.c (e_dropdown_button_construct): Removed
	@ui_info and @data args.  Obviously I am not very smart at this
	time of the night.
	(e_dropdown_button_new): Likewise.

2001-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* e-dropdown-button.c, e-dropdown-button.h: New.

2001-01-25  Damon Chaplin  <damon@ximian.com>

	* e-calendar-item.[hc]: e_calendar_item_get_date_range() now returns
	a boolean, which is FALSE if no dates are currently shown.
	Plus a couple of minor sanity checks.

2001-01-19  Federico Mena Quintero  <federico@ximian.com>

	* e-calendar.c (e_calendar_init): Unset the GTK_CAN_FOCUS flag on
	the ECalendar.
	(e_calendar_focus_in): Removed function since it did nothing.
	(e_calendar_focus_out): Likewise.
	(e_calendar_key_press): Likewise.
	(e_calendar_init): Turn off the GTK_CAN_FOCUS flag for both arrow
	buttons.

2001-01-17  Federico Mena Quintero  <federico@ximian.com>

	* e-calendar-item.c (e_calendar_item_set_max_days_sel): Make zero
	the minimum number of days that can be specified.
	(e_calendar_item_set_arg): We do need an update when the maximum
	number of selected days is changed.
	(e_calendar_item_set_max_days_sel): Request an update of the
	canvas item.
	(e_calendar_item_button_press): Do not start selecting days if the
	max_days_selected is less than 1.

2001-01-17  Jeffrey Stedfast  <fejj@ximian.com>

	* e-messagebox.c (e_message_box_get_id): Oops. Delete this. I
	never meant for this to get commit'd.

2001-01-17  JP Rosevear  <jpr@ximian.com>

	* e-messagebox.c (e_message_box_get_id): Dont remove the function, give
	it the proper name

2001-01-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-messagebox.c (e_message_box_get_checkbox): Remove the version
	returning `const char *' as of course it doesn't compile.  Please
	compile before committing.

2001-01-17  Jeffrey Stedfast  <fejj@ximian.com>

	* Makefile.am: Added e-messagebox to the build.

	* e-messagebox.[c,h]: Added a new messagebox window that contains
	a checkbox for "Don't show me this again."

2001-01-16  Jason Leach  <jasonleach@usa.net>

	* e-search-bar.[ch]: Moved here from $(toplevel)/filter.

2000-12-22  JP Rosevear  <jpr@helixcode.com>

	* e-calendar-item.h: add prototypes

	* e-calendar-item.c (e_calendar_item_init): Set max_days_selected to
	1 and days_to_start_week_selection to -1 as documented in header
	(e_calendar_item_set_arg): use new accessor methods
	(e_calendar_item_get_arg): ditto
	(e_calendar_item_get_max_days_sel): accessor
	(e_calendar_item_set_max_days_sel): ditto
	(e_calendar_item_get_days_start_week_sel): ditto
	(e_calendar_item_set_days_start_week_sel): ditto
	(e_calendar_item_class_init): add display_popup argument
	(e_calendar_item_init): initialize display_popup member
	(e_calendar_item_get_arg): get display_popup member
	(e_calendar_item_set_arg): set display_popup member
	(e_calendar_item_button_press): only show the popup menu if the
	member is set
	(e_calendar_item_get_display_popup): acessor
	(e_calendar_item_set_display_popup): ditto

2000-12-14  Federico Mena Quintero  <federico@helixcode.com>

	* e-dateedit.h: #include <time.h>

2000-12-08  JP Rosevear  <jpr@helixcode.com>

	* e-calendar.c (e_calendar_destroy): Call the parent class destroyer
	as well

2000-10-26  Damon Chaplin  <damon@helixcode.com>

	* e-dateedit.[hc]: updated to emit "changed" when appropriate, which
	turned out to be amazingly difficult :(
	Also added e_date_edit_get/set_date() to get/set just the date.
	Added e_date_edit_date_is_valid() & e_date_edit_time_is_valid() so
	you can check if the user has tried to enter an invalid date.
	(All the get_date/time functions return the last valid date entered.)

	* test-dateedit.c: updated a bit.

2000-11-02  Federico Mena Quintero  <federico@helixcode.com>

	* e-dateedit.h (EDateEditClass): Removed the "time_changed"
	signal, since it was never being emitted in the first place.  Time
	values *are* both date and time together anyways, so whenever one
	changes we should notify about the whole date/time value being
	changed.
	Renamed the remaining "date_changed" signal to just "changed".

	* e-dateedit.c (e_date_edit_class_init): Do not create the
	"time_changed" signal; rename the other one to "changed".
	(set_time): Moved the core functionality from
	e_date_edit_set_time() to here.  This function just sets the
	widgets' values without emitting any signals.
	(e_date_edit_set_time): Emit the "changed" signal unconditionally.
	This is to be consistent with the rest of the GTK+ widgets, and it
	actually makes writing client code easier.
	(e_date_edit_new): Use set_time().
	(on_date_popup_now_button_clicked): Do not emit the signal here.
	(on_date_popup_none_button_clicked): Likewise.
	(e_date_edit_set_time_of_day): Emit the signal, since we do not
	call e_date_edit_set_time().

2000-10-30  Kjartan Maraas  <kmaraas@gnome.org>

	* e-calendar-item.c: #include <string.h> to get rid of warning.
	* e-clipped-label.c: Same here.
	
2000-10-27  Federico Mena Quintero  <federico@helixcode.com>

	* e-dateedit.c (e_date_edit_destroy): Do not unref the cal_popup
	since we already destroyed it.

2000-10-11  Damon Chaplin  <damon@helixcode.com>

	* e-calendar-item.c (e_calendar_item_recalc_sizes): fixed to
	recalculate min_cell_width/height in case the show_week_numbers option
	is changed.

	* e-dateedit.c: added support for hiding the date field, and added
	get/set_time_of_day() functions to get/set just the time.

2000-09-30  Damon Chaplin  <damon@helixcode.com>

	* e-calendar-item.c: 
	* e-dateedit.c: better i18n of strftime strings.

2000-09-29  Ettore Perazzoli  <ettore@helixcode.com>

	* e-title-bar.c: New member `pin_gtk_pixmap' in
	`ETitleBarPrivate'.  Signal "close_button_clicked" renamed to
	"button_clicked".  Signal "title_button_press_event" renamed to
	"label_button_press_event".
	(init): Init new members.
	(close_button_realize_cb): Create the pin pixmap.  Call
	`show_and_hide_pixmaps_according_to_mode()'.
	(e_title_bar_show_close_button): Renamed to
	`e_title_bar_show_button'.
	(e_title_bar_get_button_mode): New.
	(e_title_bar_set_button_mode): New.

2000-09-23  Damon Chaplin  <damon@helixcode.com>

	* e-calendar.c: use pixmaps instead of GtkArrows to look better.
	Also set the canvas window's background when realized so that we can
	set the button reliefs to none.

2000-09-22  Damon Chaplin  <damon@helixcode.com>

	* test-dateedit.c: updated a bit, adding a few EDateEdits with
	different options.

	* e-calendar-item.c (e_calendar_item_set_selection): aborted any
	current selection operation and initialize all of the selection fields.
	(e_calendar_item_unmap): new function to abort any current selection
	operation. Otherwise GnomeCanvas gets in a muddle about grabs.

	* e-dateedit.c: marked some strftime()/strptime() format strings for
	translation and used "%m/%d/%Y" instead of "%x" so we get the complete
	year number. Also changed e_date_edit_get_time() so it returns -2 if
	it can't parse the date or time, and -1 if it is explicitly set to
	None.
	(e_date_edit_parse_date): new function to parse the date string and
	add on the current century if a year of 0-99 is entered.

2000-09-21  Damon Chaplin  <damon@helixcode.com>

	* e-dateedit.c (on_date_button_clicked): only check return of strptime
	for NULL. It should now select the correct day set in the popup.

	* e-calendar.c: 
	* e-calendar-item.c: 
	* test-calendar.c: removed support for buttons within the ECalendar.
	It is cleaner to add them outside it, as EDateEdit does.

2000-09-18  Dan Winship  <danw@helixcode.com>

	* e-dateedit.c (_XOPEN_SOURCE): set this to 4 to specify how much
	X/Open we want with that.

2000-09-18  Christopher James Lahey  <clahey@helixcode.com>

	* Makefile.am: Added $(EXTRA_GNOME_CFLAGS) and
	$(EXTRA_GNOME_LIBS).  Removed unneeded libraries.

	* e-calendar-item.c, e-calendar.c, e-calendar.h, e-title-bar.c:
	Fixed the #include lines to deal properly with gal.

	* e-scroll-frame.c, e-scroll-frame.h: Moved to gal.

2000-09-11  Damon Chaplin  <damon@helixcode.com>

	* Makefile.am (libemiscwidgets_a_SOURCES): added e-dateedit.[hc]
	and the test-dateedit app.

	* e-dateedit.[hc]: new widget to use instead of GnomeDateEdit. It
	uses the new ECalendar widget for the calendar and also supports
	"None", "Today" and "Now" buttons, and goes away with a single click.

	* test-dateedit.c: app to test the EDateEdit widget.

	* e-calendar-item.c: updated to support the EDateEdit better,
	mainly by adding the "move_selection_when_moving" arg so we can turn
	it off to keep the same day selected when changing the months shown.

2000-09-05  Damon Chaplin  <damon@helixcode.com>

	* e-calendar-item.c (e_calendar_item_draw_month): make sure we get
	the start_weekday since we need it for draw_days(). Fixes a drawing
	bug.

2000-08-31  Damon Chaplin  <damon@helixcode.com>

	* e-calendar-item.c (e_calendar_item_button_press): 
	(e_calendar_item_button_release): grab/ungrab the pointer so we
	always get the button_release event.

2000-08-30  Damon Chaplin  <damon@helixcode.com>

	* e-calendar-item.[hc]: 
	* e-calendar.[hc]: Updated.

2000-08-10  Christopher James Lahey  <clahey@helixcode.com>

	* e-calendar-item.c, e-calendar.c: Fixed some warnings.

2000-07-25  Damon Chaplin  <damon@helixcode.com>

	* e-calendar-item.h: 
	* e-calendar.[hc]: new widget and canvas item to replace GtkCalendar.
	Not quite finished yet.

2000-07-21  Ettore Perazzoli  <ettore@helixcode.com>

	* e-title-bar.c (e_title_bar_set_title): We have a `EClippedLabel',
	not a `GtkLabel' here: use the right function to change the text.

2000-07-12  Christopher James Lahey  <clahey@helixcode.com>

	* e-scroll-frame.c: Tried rearranging the casts to try for a more
	correct computation.

2000-07-08  Dan Winship  <danw@helixcode.com>

	* e-scroll-frame.c (e_scroll_frame_add): comment out true but
	confused warning about non-scrollable widgets until Chris and/or
	Federico fix this correctly.
	(e_scroll_frame_size_allocate): If the available space for the
	child is less than the width/height of the frame, give the child
	an allocation of 0 rather than some small negative number cast to
	unsigned.

2000-07-05  Dan Winship  <danw@helixcode.com>

	* Makefile.am (INCLUDES): Set G_LOG_DOMAIN=__FILE__ rather than
	"e-title-bar" in all three widgets.

2000-06-13  Anders Carlsson  <andersca@gnu.org>

	* e-scroll-frame.c (e_scroll_frame_button_press): Control does 
	horizontal scrolling, a la gimp.

2000-06-11  Anders Carlsson  <andersca@gnu.org>

	* e-scroll-frame.c (e_scroll_frame_button_press): Add support
	for mouse wheel scrolling in EScrollFrame.

2000-06-10  Ettore Perazzoli  <ettore@helixcode.com>

	* e-title-bar.c (close_button_realize_cb): Unref the pixmap and
	the mask.

